#Bronch Analysis
bronch<-read.csv(file.choose())
head(bronch)
View(bronch)
str(bronch)
summary(bronch)
plot(bronch$age.in.month,bronch$length.of.hospital.stay, col=bronch$issu, pch=19)

#there are two ssam. Remove from the analysis
bronch2<-bronch[bronch$issu!="SSAM",]
summary(bronch2)

#remove missing values from analysis
bronch3<-na.omit(bronch2)
summary(bronch3)
plot(bronch3$age.in.month,bronch3$length.of.hospital.stay, 
     col=bronch3$issu, pch=18)

boxplot(bronch3$length.of.hospital.stay)
boxplot(bronch3$age.in.month)
hist(bronch3$age.in.month)
hist(bronch3$length.of.hospital.stay)
plot(bronch3$age.in.month,bronch3$length.of.hospital.stay, 
     col=bronch3$issu, pch=bronch3$Cas.control)

#what impacts the length of the hospital stay
regbronch<-lm(bronch3$length.of.hospital.stay~
      bronch3$age.in.month
    +bronch3$sex
    +bronch3$Cas.control
    +bronch3$number.of.siblings
    +bronch3$Fever)
summary(regbronch)
plot(regbronch)
hist(bronch3$length.of.hospital.stay)
logstay<-log(bronch3$length.of.hospital.stay)
hist(bronch3$number.of.siblings)
hist(bronch3$age.in.month)
logsib<-log(bronch3$number.of.siblings)
logage<-log(bronch3$age.in.month)
summary(bronch3)

bronch3$logsib2<-logsib
bronch3$logage2<-logage
bronch3$logstay2<-logstay


bronch5<-bronch3[-77,]
summary(bronch5)
regbronchfix<-lm(bronch5$logstay2~
                bronch5$logage2
              +bronch5$sex
              +bronch5$Cas.control
              +bronch5$logsib2
              +bronch5$Fever)
summary(regbronchfix)
#----
attach(bronch5)
summary(bronch5)
mode(bronch5)
#note: Deces is the 0 and sortie vivant is the 1. 
#Sortie vivant is the second level so R assumes it is 1
logitissu<-glm(issu~sex+logstay2+logage2+logsib2+Fever, family = "binomial")
summary(logitissu)

logitissu1<-glm(issu~sex+logstay2+logage2+logsib2+Fever+
                 X.respiratory.distress.syndrome, family = "binomial")
summary(logitissu1)
#there is a big swing in the output.That is strange and needs to be investigated.

logitissu2<-glm(issu~sex+logstay2+logage2+Fever+
                  X.respiratory.distress.syndrome, family = "binomial")
summary(logitissu2)

logitissu3<-glm(issu~sex+logstay2+logage2+Fever+
                  X.respiratory.distress.syndrome+
                  tobacco, family = "binomial")
summary(logitissu3)
predissu<-data.frame(logstay2=mean(logstay2), sex="Masculin",logage2=mean(logage2),
                     Fever="OUI",tobacco="NON",
                     X.respiratory.distress.syndrome="NON")
predict(logitissu3, predissu, type="response")

predissu1<-data.frame(logstay2=mean(logstay2), sex="Masculin",logage2=mean(logage2),
                     Fever="OUI",tobacco="NON", 
                     X.respiratory.distress.syndrome=" OUI")
predict(logitissu3, predissu1, type="response")
